require_dependency "wbase/application_controller"

module Wbase
  class MailEventsController < ApplicationController
    skip_before_action :verify_authenticity_token
    skip_before_action :require_key

    def create
      Rails.logger.info("Processing mail event batch")
      @event = MailEventBatch.new(params)
      if @event.save
        render json: { 'message': 'success' }, status: 200
      else
        render json: {
          message: 'fail',
          errors: @event.errors.full_messages
        }, status: 422
      end
    end
  end
end
