module Wbase
  class AdminMailer < ApplicationMailer
    def new_user(user)
      headers "X-SMTPAPI" => {
        unique_args: {
          user_id: user.id,
          mail_eventable_id: user.id,
          mail_eventable_type: 'User'
        }
      }.to_json
      @user = user

      mail(
        to: Wbase.admin_email,
        subject: "New User #{ user.email }"
      )
    end

    def new_subscription(user)
      headers "X-SMTPAPI" => {
        unique_args: {
          user_id: user.id,
          mail_eventable_id: user.id,
          mail_eventable_type: 'User'
        }
      }.to_json
      @user = user

      mail(
        to: Wbase.admin_email,
        subject: "New Subscription #{ user.email }"
      )
    end
  end
end
