module Wbase
  class MailEventBatch
    def initialize(params)
      @params = params
    end

    def save
      @params["_json"].each do |ev|
        ev.permit!
        Wbase::MailEvent.create(
          email: ev[:email],
          sg_message_id: ev[:sg_message_id],
          timestamp: ev[:timestamp],
          smtp_id: ev['smtp-id'],
          event: ev[:event],
          mail_eventable_id: ev.fetch(:mail_eventable_id, nil),
          mail_eventable_type: ev.fetch(:mail_eventable_type, nil),
          data: ev.to_json
        )
      end
    end
  end
end
