module Wbase
  class ActivateDripSubscriberJob < ActiveJob::Base
    include Dripable
    queue_as :default
    attr_reader :user

    def perform(user_id)
      @user = User.find(user_id)
      update_subscriber!
      # TODO: make this a setting!
      drip.unsubscribe(user.email, { campaign_id: 86616253 })
      drip.track_event(user.email, 'Customer subscription updated')
    end
  end
end
