# == Schema Information
#
# Table name: wbase_ssl_verifications
#
#  id         :integer          not null, primary key
#  key        :string           not null
#  value      :string           not null
#  created_at :datetime         not null
#  updated_at :datetime         not null
#

module Wbase
  class SslVerification < ActiveRecord::Base
    validates :key, :value, presence: true

    def self.go(key, value)
      # Helper method for updating quickly
      create!(key: key, value: value)
    end
  end
end
