class CreateWbaseSubscriptions < ActiveRecord::Migration
  def change
    create_table :wbase_subscriptions do |t|
      t.string :stripe_id, null: false
      t.integer :plan_id, null: false, index: true
      t.string :last_four
      t.integer :coupon_id
      t.string :card_type
      t.integer :current_price
      t.integer :user_id, null: false, index: true
      t.datetime :paid_thru
      t.string :credit_card_token

      t.timestamps null: false
    end
  end
end
