class CreateWbasePlans < ActiveRecord::Migration
  def change
    create_table :wbase_plans do |t|
      t.string :name, null: false, index: true
      t.string :stripe_id, null: false, index: true
      t.integer :price, null: false
      t.string :interval, default: 'monthly'
      t.text :features
      t.boolean :highlight, default: false
      t.integer :display_order, default: 0

      t.timestamps null: false
    end
  end
end
